Package org.bukkit.event.server

# Class RemoteServerCommandEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.server.ServerEvent
org.bukkit.event.server.ServerCommandEvent
org.bukkit.event.server.RemoteServerCommandEvent

All Implemented Interfaces:
  `Cancellable`

public class RemoteServerCommandEvent extends ServerCommandEvent
This event is called when a command is received over RCON. See the javadocs of `ServerCommandEvent` for more information.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`RemoteServerCommandEvent(@NotNull CommandSender sender, @NotNull String command)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.server.ServerCommandEvent

`getCommand, getSender, isCancelled, setCancelled, setCommand`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteServerCommandEvent

public RemoteServerCommandEvent(@NotNull @NotNull CommandSender sender, @NotNull @NotNull String command)

## Method Details

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Overrides:
  `getHandlers` in class `ServerCommandEvent`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()